<template>
  <div class="row">
    <b-col lg="3" class="pl-0">
      <div class="card">
        <div class="card-body p-3">
          <div class="d-flex align-items-center mb-1">
            <h4 class="lh-1 mb-3 strong">Contents</h4>
          </div>
          <div class="mb-0">
            <div class="row">
              <div class="col-12 mb-2">
                <TargetIcon class="icon-xxs" />
                Description
              </div>
              <div class="col-12 mb-2">
                <SettingsIcon class="icon-xxs" />
                Parameters
              </div>
            </div>
          </div>
        </div>
        <div v-if="scenario.docs" class="card-footer">
          <FileTextIcon class="text-orange" />
          <a :href="scenario.docs" target="_blank">View full documentation</a>
        </div>
        <div v-if="scenario.source" class="card-footer">
          <BrandGitlabIcon class="text-orange" />
          <a :href="scenario.source" target="_blank">Edit on Gitlab</a>
        </div>
      </div>
    </b-col>
    <div class="col-sm-12 col-md-9">
      <div class="row row-cards">
        <div class="col-lg-9 pr-1">
          <div class="card card-lg">
            <div class="card-body p-4">
              <div class="markdown">
                <h1>{{ scenario.name }}</h1>
                <div class="avatar-list"></div>
                <pre>{{ scenario.description || '' }}</pre>
                <h2>Parameters</h2>
                <template v-for="topGroup in parameters">
                  <h3 :key="topGroup.index">
                    <strong>{{ topGroup.title }}</strong>
                  </h3>
                  <template v-for="item in topGroup.parameters">
                    <h4 :key="item.index">
                      {{ item.title }}
                    </h4>
                    <p v-if="item.description" :key="item.index">
                      {{ item.description }}
                    </p>
                    <template v-if="item.type === 'set'">
                      <template v-for="subItem in item.parameters">
                        <h5 :key="subItem.index">
                          <em>{{ subItem.title }}</em>
                        </h5>
                        <h5 v-if="subItem.description" :key="subItem.index">
                          <em>{{ subItem.description }}</em>
                        </h5>
                      </template>
                    </template>
                  </template>
                </template>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  data() {
    return {
      scenarioId: this.$nuxt.$route.params.scenarioId,
    };
  },
  head() {
    return {
      title: 'Projects - RISIS Workspace',
    };
  },
  computed: {
    ...mapGetters({
      parameters: 'parameters/parameters',
    }),
    scenario() {
      return this.$store.getters['scenarios/singleScenario'](this.scenarioId);
    },
  },
};
</script>
<style scoped>
p {
  font-size: 11px;
}
</style>
